Bug 11181 - kernel v2.2.14 -6.0.1smp crash: "unable to handle kernel paging request"
kernel v2.2.14 -6.0.1smp crash: "unable to handle kernel paging request"
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-02 12:55 EDT by Dana Hudes
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-31 17:08:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dana Hudes 2000-05-02 12:55:16 EDT
I was running tripwire (installed from the RPM) to update the database.
I had done this for another directory set a few moments before and every
few days for the last month since I started using tripwire.
The difference is that previously I was using kernel version 2.2.14-5.0smp
and today I was using the new kernel. The machine in question is a generic
"clone" dual-processor machine with 333Mhz Intel PII-Deschutes processors.
128Mb of RAM and 128Mb of swap.
I had rebooted the machine shortly before this incident.

Here is the kernel.log excerpt:

May  2 10:16:34 harmony kernel: Unable to handle kernel paging request at
virtual address 00800034
May  2 10:16:34 harmony kernel: current->tss.cr3 = 00101000, %cr3 =
00101000
May  2 10:16:34 harmony kernel: *pde = 00000000
May  2 10:16:34 harmony kernel: Oops: 0002
May  2 10:16:34 harmony kernel: CPU:    0
May  2 10:16:34 harmony kernel: EIP:    0010:[remove_from_queues+169/328]
May  2 10:16:34 harmony kernel: EFLAGS: 00010206
May  2 10:16:34 harmony kernel: eax: 00800000   ebx: 00000002   ecx:
c5504e60   edx: c7f370d8
May  2 10:16:34 harmony kernel: esi: c5504e60   edi: 00000000   ebp:
c35dccc0   esp: c7ecdf50
May  2 10:16:34 harmony kernel: ds: 0018   es: 0018   ss: 0018
May  2 10:16:34 harmony kernel: Process kupdate (pid: 3, process nr: 4,
stackpage=c7ecd000)
May  2 10:16:34 harmony kernel: Stack: c35dcd5c c012ae3d c5504e60 c5504e60
c545fc28 c01441ef c0144202 c5504e60
May  2 10:16:34 harmony kernel:        c35dccc0 c748e43c c748e400 00000000
c7ecdfb4 c0112d98 c545fc00 c748e400
May  2 10:16:34 harmony kernel:        00000807 00000000 c5504e60 c01442a4
c35dccc0 00000000 c0136141 c35dccc0
May  2 10:16:35 harmony kernel: Call Trace: [refile_buffer+77/184]
[ext2_update_inode+691/860] [ext2_update_inode+710/860] [schedule+548/964]
[ext2_write_inode+12/16] [sync_inodes+201/284] [tvecs+11915/13824]
May  2 10:16:35 harmony kernel:        [sync_old_buffers+21/452]
[tvecs+11915/13824] [kupdate+132/136] [get_options+0/116]
[kernel_thread+35/48]
May  2 10:16:35 harmony kernel: Code: 89 50 34 c7 01 00 00 00 00 89 02 c7
41 34 00 00 00 00 ff 0d
May  2 10:16:35 harmony kernel: Unable to handle kernel paging request at
virtual address 00800034
May  2 10:16:35 harmony kernel: current->tss.cr3 = 0122a000, %cr3 =
0122a000
May  2 10:16:35 harmony kernel: *pde = 00000000
May  2 10:16:35 harmony kernel: Oops: 0002
May  2 10:16:35 harmony kernel: CPU:    0
May  2 10:16:35 harmony kernel: EIP:    0010:[remove_from_queues+169/328]
May  2 10:16:35 harmony kernel: EFLAGS: 00010206
May  2 10:16:35 harmony kernel: eax: 00800000   ebx: 00000002   ecx:
c5504e60   edx: c7f370d8
May  2 10:16:35 harmony kernel: esi: c5504e60   edi: 00000000   ebp:
c2f28cc0   esp: c5aede20
May  2 10:16:35 harmony kernel: ds: 0018   es: 0018   ss: 0018
May  2 10:16:35 harmony kernel: Process tripwire (pid: 1647, process nr:
60, stackpage=c5aed000)
May  2 10:16:35 harmony kernel: Stack: c2f28d5c c012ae3dc5504e60 c5504e60
c545fe28 00000807 c012aebb c5504e60
May  2 10:16:35 harmony kernel:        c5504e60 00000000 c5504e60 c0144288
c5504e60 c2f28cc0 c748e43c c748e400
May  2 10:16:35 harmony kernel:        00001006 c2eac740 c2e16ee0 c545fe00
c748e400 00000807 00000000 c5504e60
May  2 10:16:35 harmony kernel: Call Trace: [refile_buffer+77/184]
[__brelse+19/84] [ext2_update_inode+844/860] [ext2_write_inode+12/16]
[sync_all_inodes+165/232] [try_to_free_inodes+336/396] [grow_inodes+30/440]
May  2 10:16:35 harmony kernel:        [get_new_inode+182/300]
[get_new_inode+197/300] [iget+112/120] [ext2_lookup+84/124]
[real_lookup+80/160] [lookup_dentry+296/488] [__namei+40/88]
[sys_newlstat+42/140]
May  2 10:16:35 harmony kernel:        [system_call+52/56]
[startup_32+43/164]
May  2 10:16:35 harmony kernel: Code: 89 50 34 c7 01 00 00 00 00 89 02 c7
41 34 00 00 00 00 ff 0d
Comment 1 Michael K. Johnson 2000-07-31 17:08:55 EDT
Have you tested this with the 2.2.16-3 errata kernel?
Comment 2 Michael K. Johnson 2000-08-08 11:29:22 EDT
Reported via private email:
>I just upgraded to 2.2.16-3 and have rebooted onto it. The tripwire update now
>fails with segmentation fault.
>At least the system doesn't bomb.

Then the kernel bug is fixed!  Thanks for testing this.
Comment 3 Dana Hudes 2000-08-08 11:29:37 EDT
Just now have done /usr/sbin/tripwire -interactive under new kernel.
tripwire bombs -- segmentation fault.
At least it didn't take Linux with it this time.

Note You need to log in before you can comment on or make changes to this bug.